Bug 501831 - Review Request: python-testosterone - Text-based UI for running Python unit tests
Review Request: python-testosterone - Text-based UI for running Python unit t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 18:10 EDT by Dave Malcolm
Modified: 2009-05-26 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 19:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2009-05-20 18:10:09 EDT
Spec URL: http://people.redhat.com/dmalcolm/python/python-testosterone.spec
SRPM URL: http://people.redhat.com/dmalcolm/python/python-testosterone-0.4.1-1.src.rpm
Description: 
Testosterone is a curses-based interface for running python tests written with
the PyUnit testing framework (aka unittest in the standard library).

Scratch build in Koji here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1367313
Comment 1 Parag AN(पराग) 2009-05-25 00:09:56 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1367313
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b9566d407696277b272e7bc76c66c498415e0a4b  testosterone-0.4.1.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) You should contact upstream to add license text in tarball or in source files
2) you should use %global instead of %define in SPEC file.
APPROVED.
Comment 2 Dave Malcolm 2009-05-26 12:02:59 EDT
New Package CVS Request
=======================
Package Name: python-testosterone
Short Description: Text-based UI for running Python unit tests
Owners: dmalcolm
Branches:
InitialCC:
Comment 3 Jason Tibbitts 2009-05-26 18:40:51 EDT
CVS done (no release branches were requested, so there's only a devel branch).
Comment 4 Dave Malcolm 2009-05-26 19:17:20 EDT
Thanks.  Imported into CVS (devel) and built into dist-f12 as http://koji.fedoraproject.org/koji/taskinfo?taskID=1378455

Note You need to log in before you can comment on or make changes to this bug.